from django.contrib.auth.models import User
from openid.extensions import sreg

from django_openid_auth.auth import OpenIDBackend

class U1OpenIDBackend(OpenIDBackend):
    def create_user_from_openid(self, openid_response):
        sreg_response = sreg.SRegResponse.fromSuccessResponse(openid_response)
        username = email = ''
        if sreg_response:
            username = sreg_response.get('nickname', '')
        if not username:
            username = openid_response.identity_url.rsplit('/', 1)[1]

        user = User.objects.create_user(username, email, password=None)

        self.associate_openid(user, openid_response)
        return user
