import string
import random
from zipfile import crc32

DIGITS = string.digits + string.uppercase + string.lowercase
N = len(DIGITS)

def _get_digits(username):
    random.seed(crc32('01dQs' + username))
    d = bytearray(DIGITS)
    random.shuffle(d)
    return str(d)


def encode(number, username):
    user_digits = _get_digits(username)
    encoded = bytearray()
    q = number
    while 1:
        q, r = divmod(q, N)
        encoded.append(user_digits[r])
        if not q:
            break
    return str(encoded)

def decode(encoded, username):
    user_digits = _get_digits(username)
    number = 0
    for i, c in enumerate(encoded):
        number += user_digits.index(c) * N ** i
    return number

