from django.contrib.auth.models import User
from django.conf import settings

from django.db import models

from . import cb62

# Create your models here.
class ShortURL(models.Model):
    user = models.ForeignKey(User)
    original_url = models.URLField(verify_exists=False)
    index = models.BigIntegerField()
    extra = models.CharField(max_length=40, blank=True)

    @property
    def base_url(self):
        return (settings.BASE_URL + self.user.username
                + '/' + cb62.encode(self.index, self.user.username))

    def __unicode__(self):
        return self.base_url + self.extra

    class Meta:
        unique_together = (("user", "index"),
                           )
