from django.db import models
from django.contrib.auth.models import User
from django.core.urlresolvers import reverse

class Uploader(models.Model):
    user = models.ForeignKey(User)
    name = models.CharField(max_length=30)
    slug = models.SlugField()
    password = models.CharField(max_length=60, blank=True)
    expires = models.DateTimeField(null=True, blank=True)
    
    def get_url(self):
        return reverse('uploader', kwargs={"username": self.user.username, "slug": self.slug})


