from django.conf.urls.defaults import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

import u1to.views as u1to_views
import shorturl.views as shorturl_views
import uploader.views as upload_views

urlpatterns = patterns('',
    (r'^upload/$', upload_views.index),
    (r'^upload/remove$', upload_views.remove),
    url(r'^(?P<username>[^_][^/]+)/upload/(?P<slug>.*)$',
        upload_views.uploader, name="uploader"),

    url(r'^$', shorturl_views.index, name="index"),
    url(r'^(?P<username>[^_][^/]+)/(?P<idx>\w+)(?P<extra>.*)$',
        shorturl_views.dispatch, name="dispatch"),

    (r'^_login/$', u1to_views.login),
    (r'^_oauth-client/', include('django_oauth_client.urls')),
    (r'^_openid/', include('django_openid_auth.urls')),
    url(r'^_logout/$', u1to_views.log_out, name="logout"),

    url(r'^_admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^_admin/', include(admin.site.urls)),

)

urlpatterns += staticfiles_urlpatterns()
